---
Name: "audit-scan-me-simple"
Description: "Example scan task to use in an the batch system"
Documentation: |
  The task is an example of a scan task that could be used in the batch audit system.

  It is used by the audit-scan-me-simple blueprint.  The batch-run can schedule this
  on a set of workers.

  It shows how a parameter can be used to store information on machines to stagger scans.

  It uses scan/machine-uuid as the target of the scan.  It sets the scan time on the machine as well.
  The scan time is set in scan/last-scan-time.

ExtraClaims:
  - scope: "machines"
    action: "*"
    specific: "*"
RequiredParams:
  - scan/machine-uuid
OptionalParams: []
Templates:
  - Name: "audit-scan-me"
    Contents: |
      #!/usr/bin/env bash

      {{ template "setup.tmpl" . }}

      TIME="t$(date +%Y%m%d%H%M%S)"
      job_info "Setting scan time: $TIME"
      drpcli machines set {{.ParamExpand "scan/machine-uuid"}} param scan/last-scan-time to "$TIME" > /dev/null

      job_info "Sleep 3"
      sleep 3

      job_success "Simple success: {{ .ParamExpand "scan/machine-uuid" }}"
Meta:
  icon: "clipboard list"
  color: "blue"
  title: "RackN Content"
